// ============================================================================
// ==                                                                        ==
// == AMDiS - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ==  http://www.amdis-fem.org                                              ==
// ==                                                                        ==
// ============================================================================
//
// Software License for AMDiS
//
// Copyright (c) 2010 Dresden University of Technology 
// All rights reserved.
// Authors: Simon Vey, Thomas Witkowski et al.
//
// This file is part of AMDiS
//
// See also license.opensource.txt in the distribution.



/** \file CheckerPartitioner.h */

#ifndef AMDIS_CHECKER_PARTITIONER_H
#define AMDIS_CHECKER_PARTITIONER_H

#include "AMDiS_fwd.h"
#include "Global.h"
#include "parallel/MeshPartitioner.h"

namespace AMDiS {

  class CheckerPartitioner : public MeshPartitioner
  {
  public:
    CheckerPartitioner(MPI::Intracomm *comm)
      : MeshPartitioner(comm)
    {}

    ~CheckerPartitioner() {}

    void createInitialPartitioning();

    /// \ref MeshPartitioner::partition
    bool partition(map<int, double> &elemWeights, PartitionMode mode = INITIAL)
    {
      return true;
    }

    void createPartitionMap(map<int, int>& pMap)
    {
      pMap = partitionMap;
    }
  };
}

#endif
